﻿<?php
	// Imports
	require_once("pure360/PaintSystemException.php");
	require_once("pure360/PaintSecurityException.php");
	require_once("pure360/PaintValidationException.php");
	require_once("pure360/PaintMethods.php");

	// Receive data posted from the form
	$clientReference	= (!empty($_REQUEST["clientReference"])? $_REQUEST["clientReference"]: "");
	$contentHtml	= (!empty($_REQUEST["contentHtml"])? $_REQUEST["contentHtml"]: "<html><body>test</body></html>");
	$contentPlain	= (!empty($_REQUEST["contentPlain"])? $_REQUEST["contentPlain"]: "test");
	$processInd	= (!empty($_REQUEST["processInd"])? $_REQUEST["processInd"]: "N");
	$output		= "";

	// Send the request to process
	if($processInd=="Y")
	{		
        try
        {
            // ***** Log in and create a context *****
            $paint = new PaintMethods();
            $paint->login();

            // ***** Upload your list data *****
            $paint->createContent($clientReference, $contentHtml, $contentPlain);

            // Output to help the user see what's going on.
            $output = "Content created.<BR/><BR/>";
            
        }
        catch (PaintValidationException $pve)
        {
            $output = "Validation Error<BR/><BR/>".
                                    $paint->convertResultToDebugString($pve->getErrors())."<BR/><BR/>";
        }
        catch (PaintSecurityException $psece)
        {
            $output = "Security Exception<BR/><BR/>".$psece->getMessage()."<BR/><BR/>";
        }
        catch (PaintSystemException $pse)
        {
            $output = "System Exception<BR/><BR/>".$pse->getMessage()."<BR/><BR/>";
        }
        catch (Exception $exp)
        {
            $output = "Unhandled Exception<BR/><BR/>".$exp->getMessage()."<BR/><BR/>";
        }

        // Log out of the session.  This should be placed so that
        // it will always occur even if there is an exception
        try
        {
            $paint->logout();
        }
        catch (Exception $exp)
        {
        	// Ignore
        }		
		
	} else
	{
		// This code is run when the page is accessed rather than posted

	}
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" >
<head>
    <title>))) Pure: PAINT Example Implementation</title>    
    <link rel="stylesheet" type="text/css" href="paint.css" />    
</head>
<body>
    <form action="" method="post">
    <input type="hidden" name="processInd" value="Y" />
    <div>
        <a href="../index.php"><b>home</b></a>
        <a href="showDynContent.php"><b>Dynamic Content</b></a><br />
        <br />
        This page will allow you create dynamic content
        
        <br />
        <br />
        <font color="red"><?php echo $output; ?></font>Client Reference<br />
        <input name="clientReference" value="<?php echo $clientReference; ?>"/><br />
        <br />
        HTML:<br />
        <textarea name="contentHtml" rows="10" cols="50"><?php echo $contentHtml; ?></textarea><br />
		<br />
        <br />
        TEXT:<br />
        <textarea name="contentPlain" rows="10" cols="50"><?php echo $contentPlain; ?></textarea><br />
		<br />
        <br />
        <input type="submit" value="Create Content" /></div>
    </form>
</body>
</html>
 