﻿<?php
	// Imports
	require_once("pure360/PaintSystemException.php");
	require_once("pure360/PaintSecurityException.php");
	require_once("pure360/PaintValidationException.php");
	require_once("pure360/PaintMethods.php");

	// Receive data posted from the form
	$output = "";
	$html	= "";
	
	// Send the request to process
	    $paint = new PaintMethods();
	     
        try
        {
        	$displayFields	= array("clientReference",
        							"listName",
        							"contentHtml",
        							"contentPlain",
        							"contentItemId",
        							"identityId",
        							"status",
									);
       	
            // ***** Log in and create a context *****
            $paint->login();
            $allDynContent = $paint->loadContentItems();
            $output = count($allDynContent) . " content items were found <br />\n";
			
			foreach ($allDynContent as $index => $contentItem) 
			{
				$html .= "<br />";
				$html .= "<a href='editContent.php?contentId=".$contentItem['contentItemId']."'>edit</a>&nbsp;";
				$html .= "<a href='deleteContent.php?contentId=".$contentItem['contentItemId']."'>delete</a>&nbsp;";
				$html .= "<br />";

	            foreach($contentItem as $fieldName=>$fieldValue)
	            {
	            	if(in_array($fieldName, $displayFields))
	            	{
			            $html .= $fieldName." = ".$fieldValue."<br />\n";
			        }
		        }
					
			}

        }
        catch (PaintValidationException $pve)
        {
            $output = "Validation Error<BR/><BR/>".
                                    $paint->convertResultToDebugString($pve->getErrors())."<BR/><BR/>";
        }
        catch (PaintSecurityException $psece)
        {
            $output = "Security Exception<BR/><BR/>".$psece->getMessage()."<BR/><BR/>";
        }
        catch (PaintSystemException $pse)
        {
            $output = "System Exception<BR/><BR/>".$pse->getMessage()."<BR/><BR/>";
        }
        catch (Exception $exp)
        {
            $output = "Unhandled Exception<BR/><BR/>".$exp->getMessage()."<BR/><BR/>";
        }

        // Log out of the session.  This should be placed so that
        // it will always occur even if there is an exception
        try
        {
            $paint->logout();
        }
        catch (Exception $exp)
        {
        	// Ignore
        }				
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" >
<head>
    <title>))) Pure: PAINT Example Implementation</title>    
    <link rel="stylesheet" type="text/css" href="paint.css" />    
</head>
<body>
    <form action="" method="post">
    <div>
        <a href="../index.php"><b>home</b></a>&nbsp;
		<a href="addContent.php"><b>add dynamic content</b></a><br />
        <br />
        Lists the current content items in the system for this user.<br />
        <br />
        <font color="red"><?php echo $output; ?></font
		<?php echo $html; ?>
    </div>
    </form>
</body>
</html> 
